version: '3.8'

services:
  users_notification_service:
    build: ./users-notification-service/
    ports:
      - "8901:3000"
    volumes:
      - ./users-notification-service:/go/src/app/users-notification-service
      - ./users-notification-service/vendor:/go/src
    working_dir: /go/src/app/users-notification-service
    depends_on:
      - "nats"
      - "postgres"
    environment:
      - POSTGRES_USER=postgres
      - POSTGRES_HOST=postgres
      - POSTGRES_PORT=5435
      - POSTGRES_PASSWORD=postgres
      - POSTGRES_DB=postgres
      - NATS_ADDRESS=nats:4222

  nats:
    image: nats
    ports:
      - "8222:8222"
    hostname: nats-server

  redis:
    image: redis:4
    command: redis-server --requirepass redis
    ports:
      - '6379:6379'

  postgres:
    image: postgres
    restart: always
    environment:
      - POSTGRES_PASSWORD=postgres
      - POSTGRES_USER=postgres
      - POSTGRES_DB=postgres
    volumes:
      - ./.pg/postgres/data:/var/lib/postgresql/data
    ports:
      - "5435:5435"
